http:
  port: 2011
apiEndpoints:
  users:
    host: localhost
    paths:
      - "/v1/users"
      - "/v1/users/*"
      - "/v1/roles"
      - "/v1/roles/*"
  superAdmin:
    host: localhost
    paths:
      - "/v1/plan"
      - "/v1/plan/*"
      - "/v1/organization"
      - "/v1/organization/*"
      - "/v1/module"
      - "/v1/module/*"
  organizationAdmin:
    host: localhost
    paths:
      - "/v1/category"
      - "/v1/category/*"
      - "/v1/organization-department"
      - "/v1/organization-department/*"
      - "/v1/course"
      - "/v1/course/*"
      - "/v1/section"
      - "/v1/section/*"
      - "/v1/lesson"
      - "/v1/lesson/*"
      - "/v1/organization-rooms"
      - "/v1/organization-rooms/*"
      - "/v1/organization-class"
      - "/v1/organization-class/*"
      - "/v1/organization-branch"
      - "/v1/organization-branch/*"
      - "/v1/students"
      - "/v1/students/*"
      - "/v1/teachers"
      - "/v1/teachers/*"
      - "/v1/parents"
      - "/v1/parents/*"
      - "/v1/organaization-section"
      - "/v1/organaization-section/*"
  notification:
    host: localhost
    paths:
      - "/v1/emails"
      - "/v1/emails/*"
      - "/v1/email-template"
      - "/v1/email-template/*"
  ticketsService:
    host: localhost
    paths:
      - "/v1/issue-types"
      - "/v1/issue-types/*"
      - "/v1/tickets"
      - "/v1/tickets/*"
      - "/v1/comments"
      - "/v1/comments/*"
serviceEndpoints:
  usersService:
    url: "http://localhost:2012/"
  superAdminService:
    url: "http://localhost:2013/"
  organizationAdminService:
    url: "http://localhost:2014/"
  notificationService:
    url: "http://localhost:2015/"
policies:
  - basic-auth
  - cors
  - expression
  - key-auth
  - log
  - oauth2
  - proxy
  - rate-limit
  - service-registry
  - service-deregister
pipelines:
  myApiPipeline:
    apiEndpoints:
      - users
    policies:
      - proxy:
          - action:
              serviceEndpoint: usersService
      - service-registry:
          - action:
              serviceName: userService
              servicePort: 5647
      - service-deregister:
          - action:
              serviceName: userService
  superAdmin:
    apiEndpoints:
      - superAdmin
    policies:
      - proxy:
          - action:
              serviceEndpoint: superAdminService
  organizationAdmin:
    apiEndpoints:
      - organizationAdmin
    policies:
      - proxy:
          - action:
              serviceEndpoint: organizationAdminService
  tickets:
    apiEndpoints:
      - tickets
    policies:
      - proxy:
          - action:
              serviceEndpoint: ticketsService
  notification:
    apiEndpoints:
      - notification
    policies:
      - proxy:
          - action:
              serviceEndpoint: notificationService
    logger:
      - type: console
        options:
          level: info # Set the log level (info, warn, error, etc.)
